FreeTDS API

Loading...
Searching...
No Matches
_hdbc Struct Reference
Collaboration diagram for _hdbc:
[legend]

## Public Attributes
struct _hcattr | attr
TDSBCPINFO * | bcpinfo
struct _hstmt * | current_statement
| Statement executing.
unsigned int | cursor_support:1
| <>0 if server handle cursors
TDS_INT | default_query_timeout
DSTR | dsn
struct _henv * | env
struct _sql_errors | errs
SQLSMALLINT | htype
tds_mutex | mtx
DSTR | oldpwd
struct _hstmt * | stmt_list
| list of all statements allocated from this connection
TDSSOCKET * | tds_socket
TDS_DESC * | uad [TDS_MAX_APP_DESC]
| descriptors associated to connection
unsigned int | use_oldpwd:1

## Member Data Documentation

## ◆ current_statement

struct _hstmt* _hdbc::current_statement

Statement executing.

This should be set AFTER sending query to avoid race condition and assure to not overwrite it if another statement is executing a query.

The documentation for this struct was generated from the following file:

- include/freetds/odbc.h